# QWheelEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QInputEvent.

### Constructor

- void QWheelEvent(QPoint pos, QPoint globalPos, int delta, MouseButtons buttons, KeyboardModifiers modifiers, Orientation orient)
- void QWheelEvent(QPoint pos, int delta, MouseButtons buttons, KeyboardModifiers modifiers, Orientation orient)

### Constructor Properties

- prototype: The QWheelEvent prototype object

### Prototype Object Properties

The QWheelEvent prototype object inherits properties from the QInputEvent prototype object and also has the following properties.

- MouseButtons buttons()
- int delta()
- QPoint globalPos()
- int globalX()
- int globalY()
- Orientation orientation()
- QPoint pos()
- int x()
- int y()

### Instance Properties

QWheelEvent objects have no special properties beyond those inherited from the QWheelEvent prototype object.